Retrieve due-date charge
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/cobv/{txid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/cobv/{txid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/cobv/{txid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calendario": {
"criacao": "<string>",
"dataDeVencimento": "<string>",
"validadeAposVencimento": 123
},
"chave": "<string>",
"devedor": {
"cep": "<string>",
"cidade": "<string>",
"cnpj": "<string>",
"cpf": "<string>",
"email": "<string>",
"logradouro": "<string>",
"nome": "<string>",
"uf": "<string>"
},
"loc": {
"criacao": "<string>",
"id": 123,
"location": "<string>"
},
"location": "<string>",
"pixCopiaECola": "<string>",
"recebedor": {
"cep": "<string>",
"cidade": "<string>",
"cnpj": "<string>",
"cpf": "<string>",
"logradouro": "<string>",
"nome": "<string>",
"nomeFantasia": "<string>",
"uf": "<string>"
},
"revisao": 123,
"txid": "<string>",
"valor": {
"abatimento": {
"modalidade": 123,
"valorPerc": "<string>"
},
"desconto": {
"modalidade": 3,
"descontoDataFixa": [
{
"data": "<string>",
"valorPerc": "<string>"
}
],
"valorPerc": "<string>"
},
"juros": {
"modalidade": 123,
"valorPerc": "<string>"
},
"multa": {
"modalidade": 123,
"valorPerc": "<string>"
},
"original": "<string>"
},
"infoAdicionais": [
{
"nome": "<string>",
"valor": "<string>"
}
],
"pix": [
{
"endToEndId": "<string>",
"horario": "<string>",
"valor": "<string>",
"txid": "<string>"
}
],
"solicitacaoPagador": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Retrieve due-date charge
Retrieves a due-date charge by its txid. Pix API v2.9 GET /cobv/.
GET
/
api
/
v1
/
brcode
/
cobv
/
{txid}
Retrieve due-date charge
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Identificador da transação [a-zA-Z0-9]{26,35}.
Response
OK
Show child attributes
Show child attributes
Chave DICT do recebedor.
Maximum string length:
77Show child attributes
Show child attributes
Show child attributes
Show child attributes
Localização do payload.
Maximum string length:
77Pix Copia e Cola (BR Code) correspondente à cobrança.
Maximum string length:
512Show child attributes
Show child attributes
Revisão da cobrança (inicia em 0).
Status do registro da cobrança.
Available options:
ATIVA, CONCLUIDA, REMOVIDA_PELO_USUARIO_RECEBEDOR, REMOVIDA_PELO_PSP Identificador da transação.
Pattern:
[a-zA-Z0-9]{26,35}Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pix recebidos vinculados à cobrança.
Show child attributes
Show child attributes
Maximum string length:
140Was this page helpful?
⌘I

